<!-- SIDE NAV LOGIN PATTERN -->
<form class="container" [formGroup]="loginFormGroup" autocomplete="off">
  <div class="login-form">
    <div class="login-form__header">
      <img
        src="https://previews.123rf.com/images/vectorknight/vectorknight1707/vectorknight170700007/81569365-security-human-lock-icon-logo-design-element-user-login-or-authenticate-icon-vector-personal-protect.jpg"
        alt="login-log">
    </div>
    <div class="login-form__input">
      <mat-form-field appearance="outline" class="login-form__input--username">
        <mat-label>User name</mat-label>
        <input matInput placeholder="User name" type="email" required formControlName="userName">
        <mat-error *ngIf="loginFormGroup.get('userName').hasError('required')">User name is required.</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline" class="login-form__input--password">
        <mat-label>Password</mat-label>
        <input matInput placeholder="Placeholder" type="password" required minlength="6" formControlName="password">
        <mat-hint align="end">
          {{loginFormGroup.get('password').value ?  loginFormGroup.get('password').value?.length : 0}} / 6</mat-hint>
        <mat-error *ngIf="loginFormGroup.get('password').hasError('required')">Password is required.</mat-error>
        <mat-error *ngIf="loginFormGroup.get('password').value && loginFormGroup.get('password').value?.length < 6">
          Should be atleast 6 charactors.</mat-error>
      </mat-form-field>
    </div>
    <div class="login-form__other-action">
      <mat-checkbox>Remember me</mat-checkbox>
      <a class="forgot-password">Forgot password?</a>
    </div>
    <div class="login-form__btn-container">
      <button mat-raised-button color="primary" class="login-form__btn-container--btn-1 btn-config">Sign in</button>
      <button mat-raised-button class="login-form__btn-container--btn-2 btn-config" type="button" (click)="openSignupPopup()">Sign up</button>
    </div>
  </div>
  <div class="login-background">
    <img src="https://wallpapercave.com/wp/wp2356164.jpg" alt="login-img">
  </div>
</form>
<!-- SIDE NAV LOGIN PATTERN -->